import sys, time

class RequestHandler:
    def __init__(self, connection):
        self.connection = connection
        self.server = connection.server

        # Virtual hosts
        self.hostname = None

        # This is so it stays constant throughout the processing
        self.request_time = time.time()
        return

    def handle(self):
        # Override this for protocol specific functionality
        pass
